[client]
socket       = @l_prefix@/var/mysql/mysql.sock
port         = 3306

[safe_mysqld]
datadir      = @l_prefix@/var/mysql
socket       = @l_prefix@/var/mysql/mysql.sock
set-variable = pid_file=@l_prefix@/var/mysql/mysqld.pid
port         = 3306
user         = @l_rusr@
basedir      = @l_prefix@

# Logfile destinations - you must update rc.mysql accordingly
log          = @l_prefix@/var/mysql/common.log
log-update   = @l_prefix@/var/mysql/update.log

# these are the most important tuning parameters for mysqld
set-variable = key_buffer_size=16M
set-variable = table_cache=64

# change these parameters if special problems occur
set-variable = join_buffer_size=1M
set-variable = max_connections=1000
set-variable = max_connect_errors=10
set-variable = max_delayed_threads=20
set-variable = max_heap_table_size=16777216
set-variable = max_sort_length=1024
set-variable = max_user_connections=0
set-variable = record_buffer=131072
set-variable = record_rnd_buffer=131072
set-variable = sort_buffer=2M
set-variable = key_buffer=1M
set-variable = tmp_table_size=32M

#
# BERKELEY DB
#

# memory parameters - set these to values <> 0 if bdb
# tables are used
set-variable = bdb_cache_size=@mysql_bdb_cache_size@
set-variable = bdb_log_buffer_size=@mysql_bdb_log_buffer_size@
set-variable = bdb_max_lock=@mysql_bdb_max_lock@

#
# INNOBASE
#

# The common part of the directory path for all InnoDB datafiles.
# default is the mysql data directory
#innodb_data_home_dir =

# Tablespaces
# specify a list of pathtodatafile:sizespecification separated
# by semicolon. The last datafile can have options
# -   :autoextend              increment datafile in 8M chunks
# -   :max:sizespecification   max size of the datafile
#innodb_data_file_path=@innodb_data_file_path@

# Tunings
# Set buffer pool size to 50 -80 % of your computer's memory
# Set the log file size to about 25 % of the buffer pool size
# Set ..flush_log_at_trx_commit to 0 if you can afford losing
#  some last transactions
# Set innodb_lock_wait_timeout to bail out of external deadlocks
#set-variable = innodb_buffer_pool_size=70M
#set-variable = innodb_additional_mem_pool_size=2M
#set-variable = innodb_log_files_in_group=3
#set-variable = innodb_log_file_size=20M
#set-variable = innodb_log_buffer_size=8M
#innodb_flush_log_at_trx_commit=1
#set-variable = innodb_lock_wait_timeout=50

